CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
StringTools Struct Reference

Tool functions to manipulate string. More...

`#include <StringTools.h>`

## Public Types

typedef CppUnitVector< std::string > | Strings

## Static Public Member Functions

static std::string CPPUNIT_API | toString (int value)
static std::string CPPUNIT_API | toString (double value)
static Strings CPPUNIT_API | split (const std::string &text, char separator)
static std::string CPPUNIT_API | wrap (const std::string &text, int wrapColumn=CPPUNIT_WRAP_COLUMN)

## Detailed Description

Tool functions to manipulate string.

## Member Typedef Documentation

typedef CppUnitVector<std::string> StringTools::Strings

## Member Function Documentation

StringTools::Strings StringTools::split | ( | const std::string & | text,
|  | char | separator
| ) |  |

static

CPPUNIT_NS_BEGIN std::string StringTools::toString | ( | int | value | ) |

static

std::string StringTools::toString | ( | double | value | ) |

static

std::string StringTools::wrap | ( | const std::string & | text,
|  | int | wrapColumn = `CPPUNIT_WRAP_COLUMN`
| ) |  |

static

The documentation for this struct was generated from the following files:

- StringTools.h
- StringTools.cpp

| hosts this site. |  | Send comments to: CppUnit Developers